.js-git-clone-holder.input-group.btn-group
  .input-group-prepend
    - if allowed_protocols_present? && @project.visibility_level == Gitlab::VisibilityLevel::PUBLIC || (current_user && !current_user.ldap_user?)
      .input-group-text.clone-dropdown-btn.btn
        %span.js-clone-dropdown-label
          = enabled_protocol_button(container, enabled_protocol)
    - else
      = render Pajamas::ButtonComponent.new(href: '#', button_options: { id: 'clone-dropdown', class: 'input-group-text btn-icon clone-dropdown-btn', data: { toggle: 'dropdown', testid: 'clone-dropdown' } }) do
        %span.js-clone-dropdown-label
          = default_clone_protocol.upcase
        = sprite_icon('chevron-down', css_class: 'gl-icon')
      %ul.dropdown-menu.dropdown-menu-selectable.clone-options-dropdown{ data: { testid: 'clone-dropdown-content' } }
        %li.js-clone-links
          = ssh_clone_button(container)
        - if @project.visibility_level == Gitlab::VisibilityLevel::PUBLIC || (current_user && !current_user.ldap_user?)
          %li.js-clone-links
            = http_clone_button(container)
        = render_if_exists 'shared/kerberos_clone_button', container: container

  = text_field_tag :clone_url, default_url_to_repo(container), class: "js-select-on-focus btn gl-button", readonly: true, aria: { label: _('Repository clone URL') }, data: { testid: 'clone-url-content' }
  .input-group-append
    = clipboard_button(target: '#clone_url', title: _("Copy URL"), variant: :default, category: :primary, size: :medium)

